Add a user-authored workspace prompt
curl --request POST \
--url https://api.example.com/api/v1/workspaces/{workspace}/prompts \
--header 'Content-Type: application/json' \
--cookie geo.session= \
--data '
{
"text": "<string>",
"topic": "<string>",
"lang": "<string>",
"importance": 0.5
}
'import requests
url = "https://api.example.com/api/v1/workspaces/{workspace}/prompts"
payload = {
"text": "<string>",
"topic": "<string>",
"lang": "<string>",
"importance": 0.5
}
headers = {
"cookie": "geo.session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'geo.session=', 'Content-Type': 'application/json'},
body: JSON.stringify({text: '<string>', topic: '<string>', lang: '<string>', importance: 0.5})
};
fetch('https://api.example.com/api/v1/workspaces/{workspace}/prompts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}API Reference
Add a user-authored workspace prompt
POST
/
api
/
v1
/
workspaces
/
{workspace}
/
prompts
Add a user-authored workspace prompt
Authorizations
cookieAuthbearerAuth
Signed HttpOnly browser session cookie
Path Parameters
Pattern:
^[a-z0-9-]+$Body
application/json
Response
201 - application/json
Success
Minimum string length:
1⌘I